package com.ruoyi.domain;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 车企信息对象 t_automobile_enterprise
 *
 * @author gxk
 * @date 2024-01-05
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class TAutomobileEnterprise extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键 */
    private Long id;

    /** 企业名称 */
    @Excel(name = "企业名称")
    private String enterpriseName;

    /** 地址 */
    @Excel(name = "地址")
    private String address;

    /** 邮编 */
    @Excel(name = "邮编")
    private String postcode;

    /** 企业联系人 */
    @Excel(name = "企业联系人")
    private String enterpriseContact;

    /** 联系电话 */
    @Excel(name = "联系电话")
    private String contactNumber;
}
