package com.ruoyi.mapper;

import java.util.List;
import com.ruoyi.domain.TAutomobileEnterprise;

/**
 * 车企信息Mapper接口
 * 
 * @author gxk
 * @date 2024-01-05
 */
public interface TAutomobileEnterpriseMapper 
{
    /**
     * 查询车企信息
     * 
     * @param id 车企信息主键
     * @return 车企信息
     */
    public TAutomobileEnterprise selectTAutomobileEnterpriseById(Long id);

    /**
     * 查询车企信息列表
     * 
     * @param tAutomobileEnterprise 车企信息
     * @return 车企信息集合
     */
    public List<TAutomobileEnterprise> selectTAutomobileEnterpriseList(TAutomobileEnterprise tAutomobileEnterprise);

    /**
     * 新增车企信息
     * 
     * @param tAutomobileEnterprise 车企信息
     * @return 结果
     */
    public int insertTAutomobileEnterprise(TAutomobileEnterprise tAutomobileEnterprise);

    /**
     * 修改车企信息
     * 
     * @param tAutomobileEnterprise 车企信息
     * @return 结果
     */
    public int updateTAutomobileEnterprise(TAutomobileEnterprise tAutomobileEnterprise);

    /**
     * 删除车企信息
     * 
     * @param id 车企信息主键
     * @return 结果
     */
    public int deleteTAutomobileEnterpriseById(Long id);

    /**
     * 批量删除车企信息
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteTAutomobileEnterpriseByIds(Long[] ids);
}
